POST
/docs/{docId}/replaceReplace document content
Replace the current document content with content from another source. Can restore from a snapshot or copy from another document.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
A string id (UUID)
resetTutorialMetadatabooleanoptional
Reset tutorial progress when replacing (for tutorial forks)
snapshotIdstringoptional
ID of snapshot to restore from
sourceDocIdstringoptional
ID of document to copy content from
200Document content replaced successfully
